Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Class MailEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.mail.event.MailEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConnectionEvent, FolderEvent, MessageChangedEvent, MessageCountEvent, StoreEvent, TransportEvent

public abstract class MailEvent
extends java.util.EventObject

Common base class for mail events, defining the dispatch method.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MailEvent(java.lang.Object source)`

Method Summary
`abstract void` | `dispatch(java.lang.Object listener)` This method invokes the appropriate method on a listener for this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailEvent

    public MailEvent(java.lang.Object source)

Method Detail

### dispatch

    public abstract void dispatch(java.lang.Object listener)

  This method invokes the appropriate method on a listener for this event. Subclasses provide the implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD